using System;
using System.Linq;

using FilterAPI;
using FilterAPI.Networking;

using FilterCentral.LocalEnums;
using FilterCentral.LocalNetworking;

namespace FilterCentral.LocalHandlers
{
    internal class Local4Handle
    {
        [LocalPacketHandler(4, 6)]
        public static void HandleDisconnectAll(LocalClient ClientSocket, Packet ClientPacket) { Program.ManagerClient.SendPacket(ClientPacket); }

        [LocalPacketHandler(4, 7)]
        public static void HandleDisconnectPlayer(LocalClient ClientSocket, Packet ClientPacket) { Program.ManagerClient.SendPacket(ClientPacket); }

        [LocalPacketHandler(4, 8)]
        public static void HandleMessageAll(LocalClient ClientSocket, Packet ClientPacket) { Program.ManagerClient.SendPacket(ClientPacket); }

        [LocalPacketHandler(4, 9)]
        public static void HandleMessagePlayer(LocalClient ClientSocket, Packet ClientPacket) { Program.ManagerClient.SendPacket(ClientPacket); }
    }
}
